> For the complete documentation index, see [llms.txt](https://developer.nilvera.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.nilvera.com/api/magaza-api/fatura-islemleri/siparisi-faturaya-donusturur..md).

# Siparişi faturaya dönüştürür.

## Siparişi Faturaya Dönüştürür ve Faturayı İlgili Mağazaya Gönderir.

> \*\*Serie:\*\* Boş gönderilirse varsayılan seri kullanılır.\\
>
> \
> \*\*TemplateUUID:\*\* Boş gönderilirse varsayılan şablon kullanılır.\\
>
> \
> \*\*Aliases:\*\* Boş gönderilirse alıcının en güncel etiketi kullanılır.

```json
{"openapi":"3.0.1","info":{"title":"Market Place API","version":"v1"},"servers":[{"url":"/marketplace"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"API Key Giriniz","scheme":"Bearer","bearerFormat":"JWT"}},"schemas":{"InvoiceSendModelCommand":{"type":"object","properties":{"InvoiceSend":{"type":"array","items":{"$ref":"#/components/schemas/InvoiceSend"},"nullable":true}},"additionalProperties":false},"InvoiceSend":{"type":"object","properties":{"UUID":{"type":"string","description":"Sipariş UUID","format":"uuid"},"Serie":{"type":"string","description":"Fatura serisi","nullable":true},"TemplateUUID":{"type":"string","description":"Fatura şablon UUID","format":"uuid","nullable":true},"Aliases":{"type":"string","description":"Alıcı etiketi","nullable":true},"IssueDate":{"type":"string","description":"Fatura tarihi","format":"date-time"},"ExchangeRate":{"type":"number","description":"Döviz kuru","format":"double","nullable":true},"KDVExemptionReasonCode":{"type":"string","description":"KDV muafiyet sebebi kodu","nullable":true},"StoreUUID":{"type":"string","description":"Mağaza UUID","format":"uuid"}},"additionalProperties":false},"SendModelResponse":{"type":"object","properties":{"IsSuccess":{"type":"boolean","description":"İşlem durumu"},"OrderNumber":{"type":"string","description":"Sipariş numarası","nullable":true},"OrderUUID":{"type":"string","description":"Sipariş UUID","format":"uuid"},"InvoiceDetail":{"allOf":[{"$ref":"#/components/schemas/InvoiceDetail"}],"description":"Fatura bilgileri","nullable":true},"ErrorDetail":{"type":"array","items":{"$ref":"#/components/schemas/SendModelResponseDetail"},"description":"Hata listesi","nullable":true}},"additionalProperties":false},"InvoiceDetail":{"type":"object","properties":{"InvoiceNumber":{"type":"string","description":"Fatura numarası","nullable":true},"UUID":{"type":"string","description":"Fatura ETTN","nullable":true},"TaxNumber":{"type":"string","description":"Fatura gönderici VKN","nullable":true},"DocumentType":{"type":"string","description":"Belge tipi (SaleInvoice, EArchiveInvoice)","nullable":true}},"additionalProperties":false},"SendModelResponseDetail":{"type":"object","properties":{"Code":{"type":"integer","description":"Hata kodu","format":"int32"},"Description":{"type":"string","description":"Hata açıklaması","nullable":true},"Detail":{"type":"string","description":"Hata detayı","nullable":true}},"additionalProperties":false}}},"paths":{"/Invoices":{"post":{"tags":["Invoices"],"summary":"Siparişi Faturaya Dönüştürür ve Faturayı İlgili Mağazaya Gönderir.","description":"**Serie:** Boş gönderilirse varsayılan seri kullanılır.\n\r\n**TemplateUUID:** Boş gönderilirse varsayılan şablon kullanılır.\n\r\n**Aliases:** Boş gönderilirse alıcının en güncel etiketi kullanılır.","requestBody":{"content":{"application/json-patch+json":{"schema":{"allOf":[{"$ref":"#/components/schemas/InvoiceSendModelCommand"}]}},"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/InvoiceSendModelCommand"}]}},"text/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/InvoiceSendModelCommand"}]}},"application/*+json":{"schema":{"allOf":[{"$ref":"#/components/schemas/InvoiceSendModelCommand"}]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SendModelResponse"}}}}},"400":{"description":"Geçersiz İstek | Gönderdiğiniz istekte geçersiz veriler bulunduğu anlamında gelmektedir | Detaylar için <a target=\"_blank\" href=\"https://developer.nilvera.com/hata-kodlari#badrequest-400\">tıklayınız</a>"},"403":{"description":"Yetkisiz Erişim | Bu uca erişmek için gerekli yetkiye sahip olmadığınız durumda dönülür"}}}}}}
```

* **Serie:** Boş gönderilirse varsayılan seri kullanılır.
* **TemplateUUID**: Boş gönderilirse varsayılan şablon kullanılır.
* **Aliases:** Boş gönderilirse alıcının en güncel etiketi kullanılır.

## The InvoiceSend object

```json
{"openapi":"3.0.1","info":{"title":"Market Place API","version":"v1"},"components":{"schemas":{"InvoiceSend":{"type":"object","properties":{"UUID":{"type":"string","description":"Sipariş UUID","format":"uuid"},"Serie":{"type":"string","description":"Fatura serisi","nullable":true},"TemplateUUID":{"type":"string","description":"Fatura şablon UUID","format":"uuid","nullable":true},"Aliases":{"type":"string","description":"Alıcı etiketi","nullable":true},"IssueDate":{"type":"string","description":"Fatura tarihi","format":"date-time"},"ExchangeRate":{"type":"number","description":"Döviz kuru","format":"double","nullable":true},"KDVExemptionReasonCode":{"type":"string","description":"KDV muafiyet sebebi kodu","nullable":true},"StoreUUID":{"type":"string","description":"Mağaza UUID","format":"uuid"}},"additionalProperties":false}}}}
```

## The InvoiceDetail object

```json
{"openapi":"3.0.1","info":{"title":"Market Place API","version":"v1"},"components":{"schemas":{"InvoiceDetail":{"type":"object","properties":{"InvoiceNumber":{"type":"string","description":"Fatura numarası","nullable":true},"UUID":{"type":"string","description":"Fatura ETTN","nullable":true},"TaxNumber":{"type":"string","description":"Fatura gönderici VKN","nullable":true},"DocumentType":{"type":"string","description":"Belge tipi (SaleInvoice, EArchiveInvoice)","nullable":true}},"additionalProperties":false}}}}
```
